import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { CGRect } from "../structs/CGRect.js";
export declare class _CIFeature extends _NSObject {
    static alloc(): _CIFeature;
    static new(): _CIFeature;
    init(): _CIFeature;
    /**
     * The type of feature that was discovered. The type can be one of: * ``CIFeatureTypeFace`` * ``CIFeatureTypeRectangle`` * ``CIFeatureTypeQRCode`` * ``CIFeatureTypeText``
     */
    type(): _NSString;
    /**
     * The rectangle that bounds the location of discovered feature. The rectangle is in the cartesian coordinate system of the image.
     */
    bounds(): CGRect;
}
